package com.xxfc.platform.universal.constant;

public enum ResCode {

    AUTH_FAIL(-1,"权限验证不通过"),
    INVALID_REST_REQ_PARAM(100000,"rest请求参数非法");
    /**
     * 返回码
     */
    private Integer code;
    /**
     * 描述
     */
    private String desc;

    ResCode(Integer code, String desc){
        this.code=code;
        this.desc=desc;
    }


    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
